#!/usr/bin/env sh
# A nice little qc url creator.
# Takes whatever is passed and makes it qr-code readable
#

if exist viu; then
    qrurl() {
        # if we are in a pipe, read from stdin and set fct arguments to it
        if [ ! -t 0 ]; then
            set -- "$(cat /dev/stdin)"
        fi
        qrencode -s1 -m2 "$@" -o- | viu --upscale=i -
    }
fi
